Commits

patrik  committed db9ce30

Added system-dependent configurations, so we don't have to go through all
the hassle every time we want to compile on another architecture.
(Taken from the QT makefiles.)

  • Participants
  • Parent commits 1e55e7c

Comments (0)

Files changed (5)

+# -*- makefile -*-
+#
+
+all: utilities fringe explorer
+	@echo
+	@echo "The code tree is now built"
+	@echo
+
+utilities: variables FORCE
+	cd $@; $(MAKE)
+
+fringe: variables FORCE
+	cd $@; $(MAKE)
+
+explorer: variables FORCE
+	cd $@; $(MAKE)
+
+clean:
+	-rm variables
+	cd utilities; $(MAKE) clean
+	cd fringe; $(MAKE) clean
+	cd explorer; $(MAKE) clean
+
+depend:
+	cd utilities; $(MAKE) depend
+	cd fringe; $(MAKE) depend
+	cd explorer; $(MAKE) depend
+
+config: variables
+	-rm variables
+	$(MAKE)
+
+variables: Makefile
+	@echo
+	@echo These targets are available:
+	@echo
+	@ls *.config
+	@echo
+	@echo Make any of them to configure the code tree for building.
+	@echo The make process will now abort with an error.
+	@echo
+	@exit 1
+
+
+# individual targets
+
+%: %.config
+	./propagate $*.config
+
+linux.config: Makefile
+	./propagate linux.config
+
+linux-debug.config: Makefile
+	./propagate linux-debug.config
+
+osf1.config: Makefile
+	./propagate osf1.config
+
+osf1-debug.config: Makefile
+	./propagate osf1-debug.config
+
+irix.config: Makefile
+	./propagate irix.config
+
+irix-debug.config: Makefile
+	./propagate irix-debug.config
+
+
+
+dep: depend
+
+FORCE:
+
+
+# Config file for irix6 n32 abi
+
+SYSCONF_CC		= g++
+
+SYSCONF_CFLAGS		= -O3 -ffast-math -fguiding-decls
+SYSCONF_CFLAGS_X11	= -DQT_CLEAN_NAMESPACE
+SYSCONF_CFLAGS_OPENGL	=
+
+SYSCONF_LFLAGS		= -lm
+SYSCONF_LIBS		= 
+SYSCONF_LFLAGS_X11	= -L/usr/X11R6.3/lib -Wl,-rpath,/usr/X11R6.3/lib
+SYSCONF_LIBS_X11	= -lXmu -lXi -lXext -lX11
+SYSCONF_LFLAGS_QT	= -L'$QTDIR'/lib
+SYSCONF_LIBS_QT		= -lqgl -lqt
+SYSCONF_LFLAGS_OPENGL	=
+SYSCONF_LIBS_OPENGL	= -lglut -lGLU -lGL
+
+SYSCONF_MKLIB		= mklib.irix6-n32
+SYSCONF_MOC 		= '$QTDIR'/bin/moc
+

File linux.config

+# Config file for linux
+
+SYSCONF_CC		= g++
+
+SYSCONF_CFLAGS		= -O3 -ffast-math -fguiding-decls -mcpu=604e \
+			-DBINIO_BIG_ENDIAN 
+
+SYSCONF_CFLAGS_X11	=
+SYSCONF_CFLAGS_QT	=
+SYSCONF_CFLAGS_OPENGL	=
+
+SYSCONF_LFLAGS		= -lmoto -lm
+SYSCONF_LIBS		= 
+SYSCONF_LFLAGS_X11	= -L/usr/X11R6.3/lib -Wl,-rpath,/usr/X11R6.3/lib
+SYSCONF_LIBS_X11	= -lX11 -lXmu -lXt -lSM -lICE -lXext -lXi
+SYSCONF_LFLAGS_QT	=
+SYSCONF_LIBS_QT		= -lqgl -lqt
+SYSCONF_LFLAGS_OPENGL	=
+SYSCONF_LIBS_OPENGL	= -lglut -lGL -lGLU
+
+SYSCONF_MKLIB		= mklib.linux
+SYSCONF_MOC 		= '$QTDIR'/bin/moc
+
+# Config file for dec osf1 (alphas)
+
+SYSCONF_CC		= g++
+
+SYSCONF_CFLAGS		= -O3 -ffast-math -fguiding-decls \
+			-DBINIO_BIG_ENDIAN
+
+SYSCONF_CFLAGS_X11	=
+SYSCONF_CFLAGS_QT	=
+SYSCONF_CFLAGS_OPENGL	=
+
+SYSCONF_LFLAGS		= -lm
+SYSCONF_LIBS		= 
+SYSCONF_LFLAGS_X11	= -L/usr/X11R6.3/lib -Wl,-rpath,/usr/X11R6.3/lib
+SYSCONF_LIBS_X11	= -lX11 -lXmu -lXt -lSM -lICE -lXext -lXi
+SYSCONF_LFLAGS_QT	=
+SYSCONF_LIBS_QT		= -lqgl -lqt
+SYSCONF_LFLAGS_OPENGL	=
+SYSCONF_LIBS_OPENGL	=
+
+SYSCONF_MKLIB		= mklib.osf1
+SYSCONF_MOC 		= '$QTDIR'/bin/moc
+
+#!/bin/sh
+
+MAKEFILES=`find . -name Makefile.in -print | sort`;
+
+for a in $MAKEFILES ; do
+    N=`dirname $a`/Makefile
+    M=${N}.in
+    sed -ne '1,/##* BEGIN/ p' < $M > $N
+    cat >> $N <<EOF
+#
+#   This section was automatically generated from
+#      `pwd`/Makefile for building on
+#      ${PLATFORM} on `date`
+#
+
+`cat $1`
+
+####### End of automatically generated section
+EOF
+    sed -ne '/##* END/,$ p' < $M >> $N
+    echo '  created' $N
+done
+
+touch variables
+echo
+echo The code tree is now configured for building. Just run make.
+echo To reconfigure, run make config.
+echo